<div class="modal-header">
  <h4 class="modal-title">Connexion</h4>
  <button type="button" class="close" aria-label="Close" (click)="hide()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body text-center">
  <form [formGroup]="loginForm" (ngSubmit)="login()">
    <div class="form-group">
      <label for="email" class="col-form-label">Adresse email</label>
      <input type="text" class="form-control b-shadow-grey" name="email" formControlName="email" id="email">
    </div>
    <div class="form-group">
      <label for="password" class="col-form-label">Mot de passe</label>
      <input type="password" class="form-control b-shadow-grey" name="password" formControlName="password" id="password">
    </div>
    <div class="text-center">
      <mdb-badge *ngIf="error" danger="true">{{error}}</mdb-badge>    
      <mdb-badge *ngIf="submitted && f.email.hasError('email')" danger="true">email non-valide</mdb-badge>    
    </div>
    <div class="form-group">
      <input type="submit" [disabled]="f.password.hasError('required') || f.email.hasError('required')" class="btn btn-grey" value="Se connecter">
    </div>
  </form>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-mallow" (click)="openForgetModal()">Mot de passe oublié ?</button>
  <button type="button" class="btn btn-mallow" (click)="hide()" [routerLink]="['/register']"
    routerLinkActive="router-link-active">Créer un compte</button>
</div>
